{{ define "header" }}
  {{ partialCached "page/page-header.html" . . }}
{{ end }}

{{ define "main" }}

  {{- partialCached "page/page-section-header.html" . .Title -}}
  {{- partialCached "utils/css.html" (dict "context" . "filefolder" "objects" "filename" "sitemap") "sitemap" -}}
  <div class="content pt-3 prose">
    <ul id="sitemap">
      <li><a href="{{ .Site.Home.Permalink }}">{{ .Site.Home.Title }}</a></li>
      {{- $currentPage := . -}}
      {{- $menu        := cond (eq ($.Scratch.Get "isMenuMain") true) false true -}}
      {{- if ($.Scratch.Get "isMenuMain") -}}
        {{- if $menu -}}
          {{- range ($.Scratch.Get "isMenuMain") -}}
          <li>
            <a href="{{ with $.Site.GetPage (printf "%s%s" "/pages" .target) }}{{ .Permalink }}{{ end }}">{{ .title }}</a>
            {{- partial "sidebar/sidebar-nav-recursive.html" (dict "context" . "currentPage" $currentPage "ctxglobal" $currentPage) -}}
          </li>
          {{- end }}
        {{- end -}}
      {{- end -}}
      <li><a href="/accessibilite">Accessibilité</a></li>
      <li><a href="/mentions-legales">Mentions légales</a></li>
    </ul>
  </div>

{{ end }}
